<!--
 * @Author: zwq
 * @Date: 2023-01-04 10:29:40
 * @LastEditors: zwq
 * @LastEditTime: 2023-07-14 14:03:43
 * @Description: 
-->
<template>
    <el-form :model="dataForm" ref="dataForm" label-width="120px">
        <el-form-item prop="name" :label="$t('code.name')">
      <el-input v-model="dataForm.name" :placeholder="$t('code.name')">
      </el-input>
    </el-form-item>
    <el-form-item prop="code" :label="$t('code.code')">
      <el-input v-model="dataForm.code" :placeholder="$t('code.code')"></el-input>
    </el-form-item>
    <el-form-item prop="eightDisciplineStatus" :label="$t('code.eightDisciplineStatus')">
      <el-switch v-model="dataForm.eightDisciplineStatus" :active-value="1" :inactive-value="0">
      </el-switch>
    </el-form-item>
    </el-form>
  </template>
  
  <script>
  import basicAdd from "@/mixins/basic-add";
  
  export default {
    mixins: [basicAdd],
    data() {
      return {
        urlOptions: {
          optionArrUrl: [],
        },
        visible: false,
        dataForm: {
          code: "",
          name: "",
          eightDisciplineStatus: 0
        },
      };
    },
    computed: {
      dataRule() {
        return {
          // paramCode: [
          //   {
          //     required: true,
          //     message: this.$t("validate.required"),
          //     trigger: "blur",
          //   },
          // ],
        };
      },
    },
    methods: {
      init() {
        this.visible = true;
        this.$nextTick(() => {
          this.$refs["dataForm"].resetFields();
          this.getArr();
        });
      },
      dataFormSubmit() {
        this.$emit("refreshDataList", this.dataForm);
      },
    },
  };
  </script>
  